components:
  schemas:
    Resource_v1_2_0_DurableNameFormat:
      enum:
      - NAA
      - iQN
      - FC_WWN
      - UUID
      - EUI
      type: string
      x-enumDescriptions:
        EUI: IEEE-defined 64-bit Extended Unique Identifier
        FC_WWN: Fibre Channel World Wide Name
        NAA: Name Address Authority Format
        UUID: Universally Unique Identifier
        iQN: iSCSI Qualified Name
      x-enumLongDescriptions:
        EUI: This durable name shall be the hexadecimal representation of the IEEE-defined
          64-bit Extended Unique Identifier as defined in the IEEE's Guidelines for
          64-bit Global Identifier (EUI-64) Specification.
        FC_WWN: This durable name shall be a hexadecimal representation of the World
          Wide Name format as defined in the T11 Fibre Channel Physical and Signaling
          Interface Specification.
        NAA: This durable name shall be a hexadecimal representation of the Name Address
          Authority structure as defined in the T11 Fibre Channel - Framing and Signaling
          - 3 (FC-FS-3) specification.
        UUID: This durable name shall be the hexadecimal representation of the Universal
          Unique Identifier as defined in the Internation Telecom Union's OSI networking
          and system aspects - Naming, Addressing and Registration Specification.
        iQN: This durable name shall be in the iSCSI Qualified Name format as defined
          in RFC 3720 and RFC 3721.
    Resource_v1_2_0_Identifier:
      additionalProperties: false
      properties:
        DurableName:
          description: This indicates the world wide, persistent name of the resource.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the world wide unique identifier
            for the resource. The string shall be in the format described by the value
            of the Identifier.DurableNameFormat property
        DurableNameFormat:
          $ref: '#/components/schemas/Resource_v1_2_0_DurableNameFormat'
          description: This represents the format of the DurableName property.
          nullable: true
          readOnly: true
          x-longDescription: This property shall represent the format of the DurableName
            property.
      readOnly: true
      type: object
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message|Privileges)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
          description: This property shall specify a valid odata or Redfish property.
    Resource_v1_2_0_IndicatorLED:
      enum:
      - Lit
      - Blinking
      - 'Off'
      type: string
      x-enumDescriptions:
        Blinking: The Indicator LED is blinking.
        Lit: The Indicator LED is lit.
        'Off': The Indicator LED is off.
    Resource_v1_2_0_Location:
      additionalProperties: false
      properties:
        Info:
          description: This indicates the location of the resource.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall represent the location of the resource.
        InfoFormat:
          description: This represents the format of the Info property.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall represent the format of the Info
            property.
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
      readOnly: true
      type: object
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message|Privileges)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
          description: This property shall specify a valid odata or Redfish property.
    Resource_v1_2_0_PowerState:
      enum:
      - 'On'
      - 'Off'
      - PoweringOn
      - PoweringOff
      type: string
      x-enumDescriptions:
        'Off': The state is powered Off.
        'On': The state is powered On.
        PoweringOff: A temporary state between On and Off.
        PoweringOn: A temporary state between Off and On.
    Resource_v1_2_0_ReferenceableMember:
      additionalProperties: false
      description: This is the base type for addressable members of an array.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata.4.0.0.yaml#/components/schemas/odata_4_0_0_context
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata.4.0.0.yaml#/components/schemas/odata_4_0_0_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata.4.0.0.yaml#/components/schemas/odata_4_0_0_type
        MemberId:
          description: This is the identifier for the member within the collection.
          type: string
          x-longDescription: The value of this string shall uniquely identify the
            member within the collection.
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: This is the manufacturer/provider specific extension moniker
            used to divide the Oem object into sections.
          x-longDescription: The value of this string shall be of the format for the
            reserved word *Oem*.
      type: object
      x-longDescription: Array members can be referenced using the value returned
        in the @odata.id property which may or may not be a dereferenceable URL. The
        @odata.id of this entity shall be the location of this element within an Item.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message|Privileges)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
          description: This property shall specify a valid odata or Redfish property.
    Resource_v1_2_0_Resource:
      additionalProperties: false
      description: This is the base type for resources and referenceable members.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata.4.0.0.yaml#/components/schemas/odata_4_0_0_context
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata.4.0.0.yaml#/components/schemas/odata_4_0_0_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata.4.0.0.yaml#/components/schemas/odata_4_0_0_type
        Description:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          nullable: true
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: This is the manufacturer/provider specific extension moniker
            used to divide the Oem object into sections.
          x-longDescription: The value of this string shall be of the format for the
            reserved word *Oem*.
      required:
      - Id
      - Name
      type: object
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message|Privileges)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
          description: This property shall specify a valid odata or Redfish property.
    Resource_v1_2_0_ResourceCollection:
      additionalProperties: false
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata.4.0.0.yaml#/components/schemas/odata_4_0_0_context
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata.4.0.0.yaml#/components/schemas/odata_4_0_0_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata.4.0.0.yaml#/components/schemas/odata_4_0_0_type
        Description:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          nullable: true
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: This is the manufacturer/provider specific extension moniker
            used to divide the Oem object into sections.
          x-longDescription: The value of this string shall be of the format for the
            reserved word *Oem*.
      type: object
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message|Privileges)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
          description: This property shall specify a valid odata or Redfish property.
title: '#Resource.v1_2_0'
x-copyright: Copyright 2014-2016 Distributed Management Task Force, Inc. (DMTF). For
  the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
